%===================================================   
% this code runs Bayesian estimation for the extended model
% replicates Table 2 in Appendix
% this version: May 27, 2015
%===================================================        
clear all
close all

% set calibrated parameters
alpha = .30;   % capital share in production 
beta  = .99;  % discounting factor
del   = .025; % depreciation rate
dele  = .020; % exit rate 
Growgr= .42;  % growth rate of output
Growgz= 1.21; % growth rate of investment-specific shock
IY    = .2;   % Investment-output ratio
K0K   = .2;   % K0/K, capital stock of new firm to total capital stock ratio
omg   =.5;    % fraction of new firms that with bubble
gamma = 0;    % indivisible labor
theta = 0.9975;    % expected growth rate of bubble at steady state

save Cali_Para...
alpha beta del dele theta Growgr Growgz omg gamma IY K0K;

dynare EstBubbleExtend.mod 

DelFiles
delete EstBubbleExtend.m
delete EstBubbleExtend_results.mat
rmdir('EstBubbleExtend','s')
