%===================================================   
% This code runs a robustness check of baseline estimation.
% Replicate Table 2 in appendix
% We use six data and consider six shocks
% Lastest Date: May 27, 2015

%===================================================      
clear all
close all

% set calibrated parameters
alpha = .30;  % capital share in production 
beta  = .99;  % discounting factor
del   = .025; % depreciation rate
dele  = .020; % exit rate 
Growgr= .42;  % growth rate of output
Growgz= 1.21; % growth rate of investment-specific shock
IY    = .2;   % Investment-output ratio
K0K   = .2;   % K0/K, capital stock of new firm to total capital stock ratio
omg   =.5;    % fraction of new firms that with bubble
gamma = 0;    % indivisible labor
% expected growth rate of bubble at steady state:
% we calibrate it as Rf/(output growth), we use Rf as 3-month treasury
% bill rate averaged from 1975Q2-2010Q4 and adjusted by the expected inflation
% the number is 1.0017;
theta = .9975;      

save Cali_Para...
alpha beta del dele theta Growgr Growgz omg gamma IY K0K;

dynare EstBubbleBench.mod 

DelFiles
delete EstBubbleBench.m
delete EstBubbleBench_results.mat
rmdir('EstBubbleBench','s')
