%% this runs posterior predictives for different models, replicates Figure 1
% this version: May 27, 2015
clear all

beg_std = 0;
end_std = 10;

beg_co = -.2;
end_co = .8;
%% Baseline Model
load BayesSimulResults_Baseline
subplot(2,2,1)
SimN = length(Co_SPt_Yt_vec);
Co_SPt_Yt_Data  = .42*ones(SimN,1);
Std_SPt_Yt_Data = 6.17*ones(SimN,1);
plot(beg_co:(end_co-beg_co)/(SimN-1):end_co,Std_SPt_Yt_Data,'k--'); hold on
plot(Co_SPt_Yt_Data,beg_std:(end_std-beg_std)/(SimN-1):end_std,'k--');
scatter(Co_SPt_Yt_vec,Std_SPt_Yt_vec);
xlim([beg_co end_co])
ylim([beg_std end_std])
title('Baseline Model')
xlabel('corr(P^{s},Y)')
ylabel('\sigma(P^{s})/\sigma(Y)')
%% without bubble
load BayesSimulresults_NoBubble
subplot(2,2,2)
scatter(Co_SPt_Yt_vec,Std_SPt_Yt_vec);
hold on
SimN = length(Co_SPt_Yt_vec);
Co_SPt_Yt_Data  = .42*ones(SimN,1);
Std_SPt_Yt_Data = 6.17*ones(SimN,1);
plot(beg_co:(end_co-beg_co)/(SimN-1):end_co,Std_SPt_Yt_Data,'k--'); hold on
plot(Co_SPt_Yt_Data,beg_std:(end_std-beg_std)/(SimN-1):end_std,'k--');
xlim([beg_co end_co])
ylim([beg_std end_std])
box on
title('No Bubble')
xlabel('corr(P^{s},Y)')
ylabel('\sigma(P^{s})/\sigma(Y)')
%% without sentiment
load BayesSimulResults_NoThet
subplot(2,2,3)
scatter(Co_SPt_Yt_vec,Std_SPt_Yt_vec);
hold on
SimN = length(Co_SPt_Yt_vec);
Co_SPt_Yt_Data  = .42*ones(SimN,1);
Std_SPt_Yt_Data = 6.17*ones(SimN,1);
plot(beg_co:(end_co-beg_co)/(SimN-1):end_co,Std_SPt_Yt_Data,'k--'); hold on
plot(Co_SPt_Yt_Data,beg_std:(end_std-beg_std)/(SimN-1):end_std,'k--');
xlim([beg_co end_co])
ylim([beg_std end_std])
box on
title('No Sentiment')
xlabel('corr(P^{s},Y)')
ylabel('\sigma(P^{s})/\sigma(Y)')
%% without stock prices data
load BayesSimulResults_NoSP
subplot(2,2,4)
scatter(Co_SPt_Yt_vec,Std_SPt_Yt_vec);
hold on
SimN = length(Co_SPt_Yt_vec);
Co_SPt_Yt_Data  = .42*ones(SimN,1);
Std_SPt_Yt_Data = 6.17*ones(SimN,1);
plot(beg_co:(end_co-beg_co)/(SimN-1):end_co,Std_SPt_Yt_Data,'k--'); hold on
plot(Co_SPt_Yt_Data,beg_std:(end_std-beg_std)/(SimN-1):end_std,'k--');
xlim([beg_co end_co])
ylim([beg_std end_std])
box on
title('No Stock Price')
xlabel('corr(P^{s},Y)')
ylabel('\sigma(P^{s})/\sigma(Y)')
%print -depsc PredictCheck.eps