% This code compares smoothed sentiment shocks with investor confidence for stock market  
% replicate Figure 6
clear all
%---------------------------Data Descriptions----------------------------
% The data series we use are Consumer Sentiment Index from Michigan Survey
%------------------------------------------------------------------------

NBERDates=[1980 1980 1980.5 1980.5...
           1981.5 1981.5 1982.75 1982.75...
           1990.5 1990.5 1991 1991 ...
           2001 2001 2001.75 2001.75...
           2007.75 2007.75 2009.25  2009.25];

load EstBubbleBench_results

thet=oo_.SmoothedVariables.thet(5:143,1);

LoadDataSentiFin_75

thetobs=thetobs(5:143);

DateT=1976.25:.25:2010.75;

figure (1)
barH=2;
ymin=-2;
fill(NBERDates,kron(ones(1,5),[ymin barH barH ymin]),[.8,.8,.8]); hold on


[ax,h1,h2]=plotyy(DateT,thet,DateT,thetobs);
set(h1,'LineStyle','-')
set(h1,'LineWidth',2)
set(h2,'LineStyle','--')
set(h2,'LineWidth',2)
ylim([ymin,barH]); 
set(ax, 'XLim', [1975 2011])

legend([h1 h2],'Sentiment shock','Consumer sentiment index')
%print -depsc2 Figure11_Senti&CS.eps

disp(['Corr of Sent and CCI:   ',num2str(corr(thet,thetobs))])

ylim(ax(1),[-2,2])
ylim(ax(2),[-.5,.5])