% this code reports the impulse responses in Figure 2 and 3
% based on the estimation and the posterior simulation
% this version: May 27, 2015

close all
clear all

load BayesSimulResultsAll

figure (1)

subplot(3,3,1)
hold on; grid on; box on;
plot(100*SPtimpQuan(1:40,4,1),'r--','LineWidth',1)
plot(100*SPtimpQuan(1:40,4,2),'b-','LineWidth',2)
plot(100*SPtimpQuan(1:40,4,3),'r--','LineWidth',1)
title('Stock price')

subplot(3,3,2)
hold on;grid on; box on;
plot(100*QKtimpQuan(1:40,4,1),'r--','LineWidth',1)
plot(100*QKtimpQuan(1:40,4,2),'b-','LineWidth',2)
plot(100*QKtimpQuan(1:40,4,3),'r--','LineWidth',1)
title('Fundamentals')

subplot(3,3,3)
hold on;grid on; box on;
plot(100*BtimpQuan(1:40,4,1),'r--','LineWidth',1)
plot(100*BtimpQuan(1:40,4,2),'b-','LineWidth',2)
plot(100*BtimpQuan(1:40,4,3),'r--','LineWidth',1)
title('Bubbles')

subplot(3,3,4)
hold on;grid on; box on;
plot(100*QtimpQuan(1:40,4,1),'r--','LineWidth',1)
plot(100*QtimpQuan(1:40,4,2),'b-','LineWidth',2)
plot(100*QtimpQuan(1:40,4,3),'r--','LineWidth',1)
title('Marginal Q')
 
subplot(3,3,5)
hold on;grid on; box on;
plot(100*PtimpQuan(1:40,4,1),'r--','LineWidth',1)
plot(100*PtimpQuan(1:40,4,2),'b-','LineWidth',2)
plot(100*PtimpQuan(1:40,4,3),'r--','LineWidth',1)
title('Investment Goods Price')

ylim([-.04,.04])

subplot(3,3,6)
hold on;grid on; box on;
plot(100*CtimpQuan(1:40,4,1),'r--','LineWidth',1)
plot(100*CtimpQuan(1:40,4,2),'b-','LineWidth',2)
plot(100*CtimpQuan(1:40,4,3),'r--','LineWidth',1)
title('Consumption')
hold on;grid on; box on;

subplot(3,3,7)
hold on;grid on; box on;
plot(100*ItimpQuan(1:40,4,1),'r--','LineWidth',1)
plot(100*ItimpQuan(1:40,4,2),'b-','LineWidth',2)
plot(100*ItimpQuan(1:40,4,3),'r--','LineWidth',1)
title('Investment')

subplot(3,3,8)
hold on;grid on; box on;
plot(100*YtimpQuan(1:40,4,1),'r--','LineWidth',1)
plot(100*YtimpQuan(1:40,4,2),'b-','LineWidth',2)
plot(100*YtimpQuan(1:40,4,3),'r--','LineWidth',1)
title('Output')

subplot(3,3,9)
hold on;grid on; box on;
plot(100*NtimpQuan(1:40,4,1),'r--','LineWidth',1)
plot(100*NtimpQuan(1:40,4,2),'b-','LineWidth',2)
plot(100*NtimpQuan(1:40,4,3),'r--','LineWidth',1)
title('Hours')

figure (2)

subplot(5,3,1)
hold on; grid on; box on;
plot(100*SPtimpQuan(1:40,2,1),'r--','LineWidth',1)
plot(100*SPtimpQuan(1:40,2,2),'b-','LineWidth',2)
plot(100*SPtimpQuan(1:40,2,3),'r--','LineWidth',1)
title('A_{t}^{p}')
ylabel('Stock Price')
ylim([-1 6])

subplot(5,3,4)
hold on;grid on; box on;
plot(100*CtimpQuan(1:40,2,1),'r--','LineWidth',1)
plot(100*CtimpQuan(1:40,2,2),'b-','LineWidth',2)
plot(100*CtimpQuan(1:40,2,3),'r--','LineWidth',1)
ylabel('Consumption')
hold on;grid on; box on;
ylim([-1 6])


subplot(5,3,7)
hold on;grid on; box on;
plot(100*ItimpQuan(1:40,2,1),'r--','LineWidth',1)
plot(100*ItimpQuan(1:40,2,2),'b-','LineWidth',2)
plot(100*ItimpQuan(1:40,2,3),'r--','LineWidth',1)
ylabel('Investment')
ylim([-2 6])


subplot(5,3,10)
hold on;grid on; box on;
plot(100*YtimpQuan(1:40,2,1),'r--','LineWidth',1)
plot(100*YtimpQuan(1:40,2,2),'b-','LineWidth',2)
plot(100*YtimpQuan(1:40,2,3),'r--','LineWidth',1)
ylabel('Output')
ylim([-1 6])

subplot(5,3,13)
hold on;grid on; box on;
plot(100*NtimpQuan(1:40,2,1),'r--','LineWidth',1)
plot(100*NtimpQuan(1:40,2,2),'b-','LineWidth',2)
plot(100*NtimpQuan(1:40,2,3),'r--','LineWidth',1)
ylabel('Hours')
ylim([-1,1])


subplot(5,3,2)
hold on; grid on; box on;
plot(100*SPtimpQuan(1:40,3,1),'r--','LineWidth',1)
plot(100*SPtimpQuan(1:40,3,2),'b-','LineWidth',2)
plot(100*SPtimpQuan(1:40,3,3),'r--','LineWidth',1)
title('A_{t}^{m}')

subplot(5,3,5)
hold on;grid on; box on;
plot(100*CtimpQuan(1:40,3,1),'r--','LineWidth',1)
plot(100*CtimpQuan(1:40,3,2),'b-','LineWidth',2)
plot(100*CtimpQuan(1:40,3,3),'r--','LineWidth',1)
hold on;grid on; box on;

subplot(5,3,8)
hold on;grid on; box on;
plot(100*ItimpQuan(1:40,3,1),'r--','LineWidth',1)
plot(100*ItimpQuan(1:40,3,2),'b-','LineWidth',2)
plot(100*ItimpQuan(1:40,3,3),'r--','LineWidth',1)

subplot(5,3,11)
hold on;grid on; box on;
plot(100*YtimpQuan(1:40,3,1),'r--','LineWidth',1)
plot(100*YtimpQuan(1:40,3,2),'b-','LineWidth',2)
plot(100*YtimpQuan(1:40,3,3),'r--','LineWidth',1)

subplot(5,3,14)
hold on;grid on; box on;
plot(100*NtimpQuan(1:40,3,1),'r--','LineWidth',1)
plot(100*NtimpQuan(1:40,3,2),'b-','LineWidth',2)
plot(100*NtimpQuan(1:40,3,3),'r--','LineWidth',1)

subplot(5,3,3)
hold on; grid on; box on;
plot(100*SPtimpQuan(1:40,6,1),'r--','LineWidth',1)
plot(100*SPtimpQuan(1:40,6,2),'b-','LineWidth',2)
plot(100*SPtimpQuan(1:40,6,3),'r--','LineWidth',1)
title('\zeta_{t}')

subplot(5,3,6)
hold on;grid on; box on;
plot(100*CtimpQuan(1:40,6,1),'r--','LineWidth',1)
plot(100*CtimpQuan(1:40,6,2),'b-','LineWidth',2)
plot(100*CtimpQuan(1:40,6,3),'r--','LineWidth',1)
hold on;grid on; box on;

subplot(5,3,9)
hold on;grid on; box on;
plot(100*ItimpQuan(1:40,6,1),'r--','LineWidth',1)
plot(100*ItimpQuan(1:40,6,2),'b-','LineWidth',2)
plot(100*ItimpQuan(1:40,6,3),'r--','LineWidth',1)


subplot(5,3,12)
hold on;grid on; box on;
plot(100*YtimpQuan(1:40,6,1),'r--','LineWidth',1)
plot(100*YtimpQuan(1:40,6,2),'b-','LineWidth',2)
plot(100*YtimpQuan(1:40,6,3),'r--','LineWidth',1)

subplot(5,3,15)
hold on;grid on; box on;
plot(100*NtimpQuan(1:40,6,1),'r--','LineWidth',1)
plot(100*NtimpQuan(1:40,6,2),'b-','LineWidth',2)
plot(100*NtimpQuan(1:40,6,3),'r--','LineWidth',1)

%set(gcf,'PaperPositionMode','auto')
%print  -depsc2 Figure_Impulses.eps

