% Compare the smoothed financial shock series from benchmark and no NFCI estimation
% this code replicates Figure 5
clear all
close all

load SmoothedFinShocks
n_obs=length(SmoothedFinShock_Bench);

T=1975.25:.25:2010.75; % define dates

NBERDates=[1980 1980 1980.5 1980.5...
           1981.5 1981.5 1982.75 1982.75...
           1990.5 1990.5 1991 1991 ...
           2001 2001 2001.75 2001.75...
           2007.75 2007.75 2009.25  2009.25];
% plot figures
figure
subplot(2,1,1)
barH=1.99;
ymin=-2;
fill(NBERDates,kron(ones(1,5),[ymin barH barH ymin]),[.8,.8,.8]); hold on
[ax,h1,h2]=plotyy(T,SmoothedSentiment_Bench,T,SmoothedFinShock_Bench);
set(h1,'LineStyle','-','LineWidth',2,'color','b');
set(h2,'LineStyle','--','LineWidth',2,'color','k');
xlim(ax(1),[T(1) T(end)])
xlim(ax(2),[T(1) T(end)])
title('Baseline model')
ylim(ax(1),[ymin,2])
ylim(ax(2),[-.1,.1])
set(ax,{'ycolor'},{'b';'k'})  


subplot(2,1,2)
barH=1.99;
ymin=-2;
fill(NBERDates,kron(ones(1,5),[ymin barH barH ymin]),[.8,.8,.8]); hold on
[ax,h1,h2]=plotyy(T,SmoothedSentiment_NoNFCI,T,SmoothedFinShock_NoNFCI);
set(h1,'LineStyle','-','LineWidth',2,'color','b');
set(h2,'LineStyle','--','LineWidth',2,'color','k');
legend([h1, h2], 'Sentiment', 'Financial');
xlim(ax(1),[T(1) T(end)])
xlim(ax(2),[T(1) T(end)])
title('Estimation without NFCI data')
ylim(ax(1),[ymin,2])
ylim(ax(2),[ymin,2])
set(ax,{'ycolor'},{'b';'k'}) 
 
% set(gcf,'PaperPositionMode','auto')
% print  -depsc2 SmoothedFinShocks.eps