% this function do the historical decomposition
function [DLogCt_shock,DLogIt_shock,LogNt_shock,DLogSPt_shock,DLogYt_shock]=ShockHistDecomp(ut,SmoothedVariables,n_obs,gr,id_vec,T_beg,T_end)  

load BenchmarkSmoother_results


n_var=M_.orig_endo_nbr; % number of original total variables

n_all=M_.endo_nbr;      % number of total variables defined by Dynare


% the policy function have the form:
% yt=ghx_dr*yt(-1)+ghu_dr*ut
% the order of variables are in DR-order

% load coef-matrice
ghx_dr=oo_.dr.ghx;  

ghu_dr=oo_.dr.ghu; 

n_states=size(ghx_dr,2); % num of states variables

n_static=M_.nstatic; % num of static variables


   y_dr_LL =zeros(n_all,n_obs);
   
   ys_dr_LL=zeros(n_states,n_obs);
   
           
  y_dr_LL(:,1)=SmoothedVariables(:,1);
  
  ys_dr_LL(:,1)=y_dr_LL(n_static+1:n_static+n_states,1);
   
   for t=2:n_obs
      y_dr_LL(:,t)=ghx_dr*ys_dr_LL(:,t-1)+ghu_dr*(ut(:,t));
      
      ys_dr_LL(:,t)=y_dr_LL(n_static+1:n_static+n_states,t);
   end
   
  
   y_dr_shock(:,1)=ghx_dr*ys_dr_LL(:,T_beg)+ghu_dr*(ut(:,T_beg+1).*id_vec);
   
   ys_dr_shock(:,1)=y_dr_shock(n_static+1:n_static+n_states,1);
   
   for t=2:T_end-T_beg
      y_dr_shock(:,t)=ghx_dr*ys_dr_shock(:,t-1)+ghu_dr*(ut(:,T_beg+t).*id_vec);
      
      ys_dr_shock(:,t)=y_dr_shock(n_static+1:n_static+n_states,t);
   end
   
   y_shock=y_dr_shock(oo_.dr.inv_order_var,:);

   y_shock=y_shock(1:n_var,:); 
   
   DLogCt_shock =y_shock(23,:)'+log(gr);
   
   DLogIt_shock =y_shock(24,:)'+log(gr);
   
   LogNt_shock  =y_shock(25,:)'+log(1/4);
   
   DLogSPt_shock=y_shock(26,:)'+log(gr);
   
   DLogYt_shock =y_shock(27,:)'+log(gr);
  