% this function compute the spectrum of the variables from DSGE model
% the state space representation for the linearized solution is 
% yt=Mcx*xt(-1)+Mcu*ut;
% xt=Msx*xt(-1)+Msu*ut;
% where yt is control variables, xt is the state variables
% ut is the shocks with var-cov matrix Sigma*Sigma'

function [Sp]=SpectrumDSGE(w,Msx,Msu,Mcx,Mcu,Sigma)

n_x= size(Msx,1);
I_x= eye(n_x);
Sp = 1/2/pi*(Mcx*inv(I_x-Msx*exp(-1i*w))*Msu*exp(-1i*w)+Mcu)...
    *Sigma*Sigma'...
    *(Mcu'+Msu'*inv(I_x-Msx'*exp(1i*w))*Mcx'*exp(1i*w));

Sp = real(diag(Sp));
Sp = Sp';